Subject: Re: bug#18709: 24.3; vc-revert inconsistency in *vc-dir*

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 03 Aug 2019 19:01:32 +0200

<[email-masked]> writes:

> In a *vc-dir* buffer:
> 1. Mark a buffer with 2 or more changed files.
> 2. Invoke vc-revert.
> 3. See prompt "Discard changes in 1 file? (yes or no) ".
> 4. Confirm with "yes".
> 5. Get the following messages, the last of which signals an error.
>     Finding changes in /devel/dougl/...
>     Reverting /devel/dougl/ttwork/es/...
>     Checking out /devel/dougl/ttwork/es/...
>     vc-default-revert: Non-regular file: cannot write to a directory., /devel/dougl/...

(I'm going through old bug reports that unfortunately have not received
any responses yet.)

I tried reproducing this bug in Emacs 27, but I was unable to.  Are you
still seeing this problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no